package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type AnnouncementAddBody struct {
	Title string `form:"title" json:"title"`
	Content string `form:"content" json:"content"`
}

type AnnouncementAddRequest struct {
	base.Header
	AnnouncementAddBody
}

type AnnouncementAddResponse struct{
	base.Result
	Data v1.AnnouncementAddReply `json:"data"`
}

type AnnouncementUpdateBody struct {
	Title string `form:"title" json:"title"`
	Content string `form:"content" json:"content"`
	Id int64 `form:"id"`
}

type AnnouncementUpdateRequest struct{
	base.Header
	AnnouncementUpdateBody
}

type AnnouncementUpdateResponse struct{
	base.Result
}

type AnnouncementDelQuery struct {
	Id int64 `form:"id"`
}

type AnnouncementDelRequest struct{
	base.Header
	AnnouncementDelQuery
}

type AnnouncementDelResponse struct{
	base.Result
}

type AnnouncementListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
}

type AnnouncementListRequest struct{
	base.Header
	AnnouncementListQuery
}

type AnnouncementListResponse struct{
	base.Result
	Data v1.AnnouncementListReply `json:"data"`
}