package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type DepartmentAddBody struct {
	DepartmentName string `form:"department_name" json:"department_name"`
	Desc string `form:"desc"`
}

type DepartmentAddRequest struct {
	base.Header
	DepartmentAddBody
}

type DepartmentAddResponse struct {
	base.Result
	Data v1.DepartmentAddReply `json:"data"`
}

type DepartmentUpdateBody struct {
	DepartmentName string `form:"department_name" json:"department_name"`
	Desc string `form:"desc"`
	Id int64 `form:"id"`
}

type DepartmentUpdateRequest struct {
	base.Header
	DepartmentUpdateBody
}

type DepartmentUpdateResponse struct {
	base.Result
}

type DepartmentDelQuery struct {
	Id int64 `form:"id"`
}
type DepartmentDelRequest struct {
	base.Header
	DepartmentDelQuery
}

type DepartmentDelResponse struct {
	base.Result
}


type DepartmentListQuery struct {
	Page int64 `form:"page"`
	PageSize int64 `form:"page_size"`
}
type DepartmentListRequest  struct {
	base.Header
	DepartmentListQuery
}

type DepartmentListResponse struct {
	base.Result
	Data v1.DepartmentListReply `json:"data"`
}

