package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type EventAddBody struct {
	Title string `form:"title" json:"title"`
	// 内容
	Content string `form:"content" json:"content"`
	// 活动开始时间
	Start int64 `form:"start" json:"start"`
	// 活动结束时间
	End int64 `form:"end" json:"end"`
	// 报名截止时间
	SignUpEnd int64 `form:"sign_up_end" json:"sign_up_end"`
	// 人数限制
	PeopleLimit int64 `form:"people_limit" json:"people_limit"`
	// 报名费用
	Fee int64 `form:"fee" json:"fee"`
	// 活动地址
	Addr string `form:"addr" json:"addr"`
	// 图片
	Pic                  []string `form:"pic" json:"pic"`
}
type EventAddRequest struct {
	base.Header
	EventAddBody
}

type EventAddResponse struct {
	base.Result
	Data v1.EventAddReply `json:"data"`
}

type EventUpdateBody struct {
	Title string `form:"title" json:"title"`
	// 内容
	Content string `form:"content" json:"content"`
	// 活动开始时间
	Start int64 `form:"start" json:"start"`
	// 活动结束时间
	End int64 `form:"end" json:"end"`
	// 报名截止时间
	SignUpEnd int64 `form:"sign_up_end" json:"sign_up_end"`
	// 人数限制
	PeopleLimit int64 `form:"people_limit" json:"people_limit"`
	// 报名费用
	Fee int64 `form:"fee" json:"fee"`
	// 活动地址
	Addr string `form:"addr" json:"addr"`
	// 图片
	Pic                  []string `form:"pic" json:"pic"`
	Id int64 `form:"id"`
}

type EventUpdateRequest struct {
	base.Header
	EventUpdateBody
}

type EventUpdateResponse struct {
	base.Result
}

type EventDelQuery struct {
	Id int64 `form:"id"`
}

type EventDelRequest struct {
	base.Header
	EventDelQuery
}

type EventDelResponse struct {
	base.Result
}

type EventListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
}

type EventListRequest struct {
	base.Header
	EventListQuery
}

type EventListResponse struct {
	base.Result
	Data v1.EventListReply `json:"data"`
}


type EventSignDelQuery struct {
	Id int64 `form:"id"`
}

type EventSignDelRequest struct {
	base.Header
	EventSignDelQuery
}

type EventSignDelResponse struct {
	base.Result
}

type EventSignListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	EventId int64 `form:"event_id" json:"event_id"`
}

type EventSignListRequest struct {
	base.Header
	EventSignListQuery
}

type EventSignListResponse struct {
	base.Result
	Data v1.EventSignListReply `json:"data"`
}
