package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type HouseholdApproveBody struct {
	Status   bool   `form:"status"`
	Feedback string `form:"feedback"`
	Id       int64  `form:"id"`
}
type HouseholdApproveRequest struct {
	base.Header
	HouseholdApproveBody
}
type HouseholdApproveResponse struct {
	base.Result
}

type HouseholdListQuery struct {
	Page          int64  `form:"page" json:"page"`
	PageSize      int64  `form:"page_size" json:"page_size"`
	ApproveStatus int32  `form:"approve_status" json:"approve_status"`
	UserType      int32  `form:"user_type" json:"user_type"`
	Name          string `form:"name" json:"name"`
}

type HouseholdListRequest struct {
	base.Header
	HouseholdListQuery
}

type HouseholdListResponse struct {
	base.Result
	Data v1.HouseholdListReply `json:"data"`
}

type HouseholdUserListQuery struct {
	Page       int64  `form:"page" json:"page"`
	PageSize   int64  `form:"page_size" json:"page_size"`
	UserType   int32  `form:"user_type" json:"user_type"`
	Name       string `form:"name" json:"name"`
	HouseId    int64  `form:"house_id" json:"house_id"`
	GateId     string `form:"gate_id" json:"gate_id"`
	BuildingId int64  `form:"building_id" json:"building_id"`
	UnitId     int64  `form:"unit_id" json:"unit_id"`
	Phone      string `form:"phone" json:"phone"`
}

type HouseholdUserListRequest struct {
	base.Header
	HouseholdUserListQuery
}

type HouseholdUserListResponse struct {
	base.Result
	Data v1.GardenHouseholdUserListReply `json:"data"`
}
