package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type MsgPackageListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}

type MsgPackageListRequest struct {
	base.Header
	MsgPackageListQuery
}

type MsgPackageListResponse struct {
	base.Result
	Data v1.MsgPackageListReply `json:"data"`
}

type MsgPackageOrderAddBody struct {
	// 套餐id
	PackageId int64 `form:"package_id" json:"package_id"`
	// 套餐总价 price*package_count
	Amount int64 `form:"amount" json:"amount"`
	// 套餐个数
	PackageCount int64 `form:"package_count" json:"package_count"`
}

type MsgPackageOrderAddRequest struct {
	base.Header
	MsgPackageOrderAddBody
}

type MsgPackageOrderAddResponse struct {
	base.Result
	Data v1.MsgPackageOrderAddReply `json:"data"`
}

type MsgPackageOrderListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}

type MsgPackageOrderListRequest struct {
	base.Header
	MsgPackageOrderListQuery
}

type MsgPackageOrderListResponse struct {
	base.Result
	Data v1.MsgPackageOrderListReply `json:"data"`
}
