package v1

import (
	"property-system-gateway/param/base"
	pb_v1 "property-system-gateway/pb/v1"
)

type NeighborClassAddBody struct {
	ClassName string `form:"class_name" json:"class_name"`
	// 分类图标
	ClassPic string `form:"class_pic" json:"class_pic"`
	// true 开启 false 禁用
	Enable               bool     `form:"enable" json:"enable"`
}

type NeighborClassAddRequest struct {
	base.Header
	NeighborClassAddBody
}

type NeighborClassAddResponse struct{
	base.Result
}


type NeighborClassDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type NeighborClassDelRequest struct {
	base.Header
	NeighborClassDelQuery
}

type NeighborClassDelResponse struct{
	base.Result
}

type NeighborClassUpdateBody struct {
	Id int64 `form:"id" json:"id"`
	ClassName string `form:"class_name" json:"class_name"`
	// 分类图标
	ClassPic string `form:"class_pic" json:"class_pic"`
	// true 开启 false 禁用
	Enable               bool     `form:"enable" json:"enable"`
}

type NeighborClassUpdateRequest struct {
	base.Header
	NeighborClassUpdateBody
}

type NeighborClassUpdateResponse struct{
	base.Result
}

type NeighborClassListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	ClassName string `form:"class_name" json:"class_name"`
}

type NeighborClassListRequest struct {
	base.Header
	NeighborClassListQuery
}

type NeighborClassListResponse struct {
	base.Result
	Data pb_v1.NeighborClassListReply `json:"data"`
}





type NeighborArticleDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type NeighborArticleDelRequest struct {
	base.Header
	NeighborArticleDelQuery
}

type NeighborArticleDelResponse struct{
	base.Result
}


type NeighborArticleListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	Title string `form:"title" json:"title"`
	ClassId int64 `form:"class_id" json:"class_id"`
}

type NeighborArticleListRequest struct {
	base.Header
	NeighborArticleListQuery
}

type NeighborArticleListResponse struct {
	base.Result
	Data pb_v1.NeighborArticleListReply `json:"data"`
}

type NeighborCommentDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type NeighborCommentDelRequest struct {
	base.Header
	NeighborCommentDelQuery
}

type NeighborCommentDelResponse struct{
	base.Result
}


type NeighborCommentListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	ArticleId int64 `form:"article_id" json:"article_id"`
	CommentId int64 `form:"comment_id" json:"comment_id"`
}

type NeighborCommentListRequest struct {
	base.Header
	NeighborCommentListQuery
}

type NeighborCommentListResponse struct {
	base.Result
	Data pb_v1.NeighborCommentListReply `json:"data"`
}

