package v1

import (
	"property-system-gateway/param/base"
	v1 "property-system-gateway/pb/v1"
)

// 应用订单相关

type ApplicationOrderAddBody struct {
	ApplicationId int64 `form:"application_id" json:"application_id"`
	// 单价*周期得出的总价
	Amount int64 `form:"amount" json:"amount"`
}

type ApplicationOrderAddRequest struct {
	base.Header
	ApplicationOrderAddBody
}

type ApplicationOrderAddResponse struct {
	base.Result
	Data v1.ApplicationOrderAddReply `json:"data"`
}

type GardenApplicationListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}

type GardenApplicationListRequest struct {
	base.Header
	GardenApplicationListQuery
}

type GardenApplicationListResponse struct {
	base.Result
	Data v1.GardenApplicationListReply `json:"data"`
}
