package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type ParkAddBody struct {
	ParkNumber           string   `form:"park_number" json:"park_number"`
	ParkName             string   `form:"park_name" json:"park_name"`
	Comment              string   `form:"comment" json:"comment"`
	ParkType             int32    `form:"park_type" json:"park_type"`
}

type ParkAddRequest struct {
	base.Header
	ParkAddBody
}

type ParkAddResponse struct {
	base.Result
	Data v1.ParkAddReply `json:"data"`
}

type ParkUpdateBody struct {
	ParkNumber           string   `form:"park_number" json:"park_number"`
	ParkName             string   `form:"park_name" json:"park_name"`
	Comment              string   `form:"comment" json:"comment"`
	ParkType             int32    `form:"park_type" json:"park_type"`
	Id int64 `form:"id"`
}

type ParkUpdateRequest struct {
	base.Header
	ParkUpdateBody
}

type ParkUpdateResponse struct {
	base.Result
}

type ParkDelQuery struct {
	Id int64 `form:"id"`
}
type ParkDelRequest struct {
	base.Header
	ParkDelQuery
}

type ParkDelResponse struct {
	base.Result
}

type ParkListRequest  struct {
	base.Header
}

type ParkListResponse struct {
	base.Result
	Data v1.ParkListReply `json:"data"`
}






type ParkSpaceAddBody struct {
	SpaceNumber          string   `form:"space_number" json:"space_number"`
	SpaceArea            float64  `form:"space_area" json:"space_area"`
	Comment              string   `form:"comment" json:"comment"`
	ParkId               int64    `form:"park_id" json:"park_id"`
	SpaceType            int32    `form:"space_type" json:"space_type"`
	HouseId int64 `form:"house_id" json:"house_id"`
}

type ParkSpaceAddRequest struct {
	base.Header
	ParkSpaceAddBody
}

type ParkSpaceAddResponse struct {
	base.Result
	Data v1.ParkSpaceAddReply `json:"data"`
}

type ParkSpaceUpdateBody struct {
	SpaceNumber          string   `form:"space_number" json:"space_number"`
	SpaceArea            float64  `form:"space_area" json:"space_area"`
	Comment              string   `form:"comment" json:"comment"`
	ParkId               int64    `form:"park_id" json:"park_id"`
	SpaceType            int32    `form:"space_type" json:"space_type"`
	HouseId int64 `form:"house_id" json:"house_id"`
	Id int64 `form:"id"`
}

type ParkSpaceUpdateRequest struct {
	base.Header
	ParkSpaceUpdateBody
}

type ParkSpaceUpdateResponse struct {
	base.Result
}

type ParkSpaceDelQuery struct {
	Id int64 `form:"id"`
}
type ParkSpaceDelRequest struct {
	base.Header
	ParkSpaceDelQuery
}

type ParkSpaceDelResponse struct {
	base.Result
}

type ParkSpaceListQuery struct {
	ParkId               int64    `form:"park_id" json:"park_id"`
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	SpaceType            int32    `form:"space_type" json:"space_type"`
	SpaceNumber          string   `form:"space_number" json:"space_number"`
	HouseholdUid int64 `form:"household_uid" json:"household_uid"`
	BindType int32 `form:"bind_type" json:"bind_type"`
	BindSpaceId int64 `form:"bind_space_id" json:"bind_space_id"`

}

type ParkSpaceListRequest  struct {
	base.Header
	ParkSpaceListQuery
}

type ParkSpaceListResponse struct {
	base.Result
	Data v1.ParkSpaceListReply `json:"data"`
}
