package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type AllPermissionRequest struct {
	base.Header
}

type AllPermissionResponse struct {
	base.Result
	Data v1.GardenPermissionListReply `json:"data"`
}

type GroupAddBody struct {
	PermissionCodes []string `form:"permission_codes" json:"permission_codes"`
	GroupName       string   `form:"group_name" json:"group_name"`
	GroupDesc       string   `form:"group_desc" json:"group_desc"`
}

type GroupAddRequest struct {
	base.Header
	GroupAddBody
}

type GroupAddResponse struct {
	base.Result
	Data v1.GroupAddReply `json:"data"`
}

type GroupUpdateBody struct {
	Id              int64    `form:"id"`
	PermissionCodes []string `form:"permission_codes" json:"permission_codes"`
	GroupName       string   `form:"group_name" json:"group_name"`
	GroupDesc       string   `form:"group_desc" json:"group_desc"`
}

type GroupUpdateRequest struct {
	base.Header
	GroupUpdateBody
}

type GroupUpdateResponse struct {
	base.Result
}

type GroupDelQuery struct {
	Id int64 `form:"id"`
}
type GroupDelRequest struct {
	base.Header
	GroupDelQuery
}
type GroupDelResponse struct {
	base.Result
}

type GroupListRequest struct {
	base.Header
}

type GroupListResponse struct {
	base.Result
	Data v1.GroupListReply `json:"data"`
}

type GroupInfoQuery struct {
	Id int64 `form:"id"`
}
type GroupInfoRequest struct {
	base.Header
	GroupInfoQuery
}
type GroupInfoResponse struct {
	base.Result
	Data v1.GroupInfoReply `json:"data"`
}
