package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type ServicePhoneClassAddBody struct {
	ClassName                 string   `form:"class_name" json:"class_name"`
	Enable               bool     `form:"enable" json:"enable"`
}

type ServicePhoneClassAddRequest struct {
	base.Header
	ServicePhoneClassAddBody
}

type ServicePhoneClassAddResponse struct{
	base.Result
	Data v1.ServicePhoneClassAddReply `json:"data"`
}

type ServicePhoneClassUpdateBody struct {
	ClassName                 string   `form:"class_name" json:"class_name"`
	Enable               bool     `form:"enable" json:"enable"`
	Id int64 `form:"id"`
}

type ServicePhoneClassUpdateRequest struct{
	base.Header
	ServicePhoneClassUpdateBody
}

type ServicePhoneClassUpdateResponse struct{
	base.Result
}

type ServicePhoneClassDelQuery struct {
	Id int64 `form:"id"`
}

type ServicePhoneClassDelRequest struct{
	base.Header
	ServicePhoneClassDelQuery
}

type ServicePhoneClassDelResponse struct{
	base.Result
}

type ServicePhoneClassListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
}

type ServicePhoneClassListRequest struct{
	base.Header
	ServicePhoneClassListQuery
}

type ServicePhoneClassListResponse struct{
	base.Result
	Data v1.ServicePhoneClassListReply `json:"data"`
}




type ServicePhoneAddBody struct {
	Name string `form:"name" json:"name"`
	Phone string `form:"phone" json:"phone"`
	ClassId                 int64   `form:"class_id" json:"class_id"`
	Enable               bool     `form:"enable" json:"enable"`
}

type ServicePhoneAddRequest struct {
	base.Header
	ServicePhoneAddBody
}

type ServicePhoneAddResponse struct{
	base.Result
	Data v1.ServicePhoneAddReply `json:"data"`
}

type ServicePhoneUpdateBody struct {
	Name string `form:"name" json:"name"`
	Phone string `form:"phone" json:"phone"`
	Enable               bool     `form:"enable" json:"enable"`
	Id int64 `form:"id"`
}

type ServicePhoneUpdateRequest struct{
	base.Header
	ServicePhoneUpdateBody
}

type ServicePhoneUpdateResponse struct{
	base.Result
}

type ServicePhoneDelQuery struct {
	Id int64 `form:"id"`
}

type ServicePhoneDelRequest struct{
	base.Header
	ServicePhoneDelQuery
}

type ServicePhoneDelResponse struct{
	base.Result
}

type ServicePhoneListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	ClassId                 int64   `form:"class_id" json:"class_id"`
}

type ServicePhoneListRequest struct{
	base.Header
	ServicePhoneListQuery
}

type ServicePhoneListResponse struct{
	base.Result
	Data v1.ServicePhoneListReply `json:"data"`
}