package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type SuggestionOrderAddBody struct {
	// 投诉类型 1 投诉 2 建议
	SuggestionType int32 `form:"suggestion_type" json:"suggestion_type"`
	// 投诉人
	ApplyPeople string `form:"apply_people" json:"apply_people"`
	// 投诉人电话
	ApplyPeoplePhone string `form:"apply_people_phone" json:"apply_people_phone"`

	// 投诉内容
	ApplyContent string `form:"apply_content" json:"apply_content"`
	// 投诉图片
	ApplyPic             []string `form:"apply_pic" json:"apply_pic"`
}

type SuggestionOrderAddRequest struct {
	base.Header
	SuggestionOrderAddBody
}

type SuggestionOrderAddResponse struct{
	base.Result
	Data v1.SuggestionOrderAddReply `json:"data"`
}

type SuggestionOrderUpdateBody struct {
	// 投诉类型 1 投诉 2 建议
	SuggestionType int32 `form:"suggestion_type" json:"suggestion_type"`
	// 投诉人
	ApplyPeople string `form:"apply_people" json:"apply_people"`
	// 投诉人电话
	ApplyPeoplePhone string `form:"apply_people_phone" json:"apply_people_phone"`

	// 投诉内容
	ApplyContent string `form:"apply_content" json:"apply_content"`
	// 投诉图片
	ApplyPic             []string `form:"apply_pic" json:"apply_pic"`
	Id int64 `form:"id"`
}


type SuggestionOrderUpdateRequest struct{
	base.Header
	SuggestionOrderUpdateBody
}

type SuggestionOrderUpdateResponse struct{
	base.Result
}

type SuggestionOrderDelQuery struct {
	Id int64 `form:"id"`
}

type SuggestionOrderDelRequest struct{
	base.Header
	SuggestionOrderDelQuery
}

type SuggestionOrderDelResponse struct{
	base.Result
}

type SuggestionOrderListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	Status               int32    `form:"status" json:"status"`
	ApplyPeople          string   `form:"apply_people" json:"apply_people"`
	ApplyPeoplePhone     string   `form:"apply_people_phone" json:"apply_people_phone"`
	IsMe           bool    `form:"is_me" json:"is_me"`
	SuggestionType int32 `form:"suggestion_type" json:"suggestion_type"`
}

type SuggestionOrderListRequest struct{
	base.Header
	SuggestionOrderListQuery
}

type SuggestionOrderListResponse struct{
	base.Result
	Data v1.SuggestionOrderListReply `json:"data"`
}

type SuggestionOrderInfoQuery struct {
	Id int64 `form:"id"`
}

type SuggestionOrderInfoRequest struct{
	base.Header
	SuggestionOrderInfoQuery
}

type SuggestionOrderInfoResponse struct{
	base.Result
	Data v1.SuggestionOrderInfoReply `json:"data"`
}

type SuggestionOrderSendBody struct {
	// 工单id
	Id                   int64    `form:"id" json:"id"`
	// 指派给谁
	CurrentUid           int64    `form:"current_uid" json:"current_uid"`
	// 意见
	Feedback             string   `form:"feedback" json:"feedback"`
}
type SuggestionOrderSendRequest struct{
	base.Header
	SuggestionOrderSendBody
}

type SuggestionOrderSendResponse struct{
	base.Result
}

type SuggestionOrderFinishBody struct {
	// 工单id
	Id                   int64    `form:"id" json:"id"`
	// 意见
	Feedback             string   `form:"feedback" json:"feedback"`
	// 处理图片
	HandlePic            []string `form:"handle_pic" json:"handle_pic"`
}
type SuggestionOrderFinishRequest struct{
	base.Header
	SuggestionOrderFinishBody
}

type SuggestionOrderFinishResponse struct{
	base.Result
}

type SuggestionOrderBackBody struct {
	// 工单id
	Id                   int64    `form:"id" json:"id"`
	// 意见
	Feedback             string   `form:"feedback" json:"feedback"`
}
type SuggestionOrderBackRequest struct{
	base.Header
	SuggestionOrderBackBody
}

type SuggestionOrderBackResponse struct{
	base.Result
}

type SuggestionOrderReturnVisitBody struct {
	Id                   int64    `form:"id" json:"id"`
	// 1 满意 2 不满意
	ReturnVisitLevel int32 `form:"return_visit_level" json:"return_visit_level"`
	// 回访内容
	ReturnVisitContent   string   `form:"return_visit_content" json:"return_visit_content"`
}

type SuggestionOrderReturnVisitRequest struct{
	base.Header
	SuggestionOrderReturnVisitBody
}

type SuggestionOrderReturnVisitResponse struct{
	base.Result
}


