package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type UserAddBody struct {
	UserName     string `form:"user_name" json:"user_name"`
	Password     string `form:"password" json:"password"`
	Email        string `form:"email" json:"email"`
	Phone        string `form:"phone" json:"phone"`
	GroupId      int64  `form:"group_id" json:"group_id"`
	DepartmentId int64  `form:"department_id" json:"department_id"`
	RealName     string `form:"real_name" json:"real_name"`
	// 1 仅用户小区后台 2 仅用于员工小程序 3 二者皆可
	BasePermission int32 `form:"base_permission" json:"base_permission"`
	Gender         int32 `form:"gender" json:"gender"`
}

type UserAddRequest struct {
	base.Header
	UserAddBody
}

type UserAddResponse struct {
	base.Result
	Data v1.UserAddReply `json:"data"`
}
type UserUpdateBody struct {
	UserName     string `form:"user_name" json:"user_name"`
	Password     string `form:"password" json:"password"`
	Email        string `form:"email" json:"email"`
	Phone        string `form:"phone" json:"phone"`
	GroupId      int64  `form:"group_id" json:"group_id"`
	Id           int64  `form:"id"`
	DepartmentId int64  `form:"department_id" json:"department_id"`
	RealName     string `form:"real_name" json:"real_name"`
	// 1 仅用户小区后台 2 仅用于员工小程序 3 二者皆可
	BasePermission int32 `form:"base_permission" json:"base_permission"`
	Gender         int32 `form:"gender" json:"gender"`
}
type UserUpdateRequest struct {
	base.Header
	UserUpdateBody
}

type UserUpdateResponse struct {
	base.Result
}

type UserDelQuery struct {
	Id int64 `form:"id"`
}

type UserDelRequest struct {
	base.Header
	UserDelQuery
}

type UserDelResponse struct {
	base.Result
}

type UserListQuery struct {
	Page     int64  `form:"page"`
	PageSize int64  `form:"page_size" json:"page_size"`
	UserName string `form:"user_name" json:"user_name"`
	Phone    string `form:"phone"`
	GroupId  int64  `form:"group_id" json:"group_id"`
	Exclude  string `form:"exclude"`
}

type UserListRequest struct {
	base.Header
	UserListQuery
}

type UserListResponse struct {
	base.Result
	Data v1.UserListReply `json:"data"`
}
