package v1

import (
	"property-system-gateway/param/base"
	"property-system-gateway/pb/v1"
)

type VehicleAddBody struct {
	// 车位id
	SpaceId int64 `form:"spaceId" json:"space_id"`
	// 车牌号
	PlateNo string `form:"plateNo" json:"plate_no"`
	// 1 小型车 2 大型车 3 新能源小车 4 新能源大车
	VehicleType int32 `form:"vehicle_type" json:"vehicle_type"`
	// 车架号
	Vin string `form:"vin" json:"vin"`
	// 发动机号
	EngineNo string `form:"engine_no" json:"engine_no"`
	// 品牌
	Brand string `form:"brand" json:"brand"`
	// 颜色
	Color string `form:"color" json:"color"`
	// 住户uid
	HouseholdUid int64 `form:"household_uid" json:"household_uid"`
	// 1 出租 2 出售
	BindType int32 `form:"bind_type" json:"bind_type"`
	// 排量单位
	DisplacementUnit string `form:"displacement_unit" json:"displacement_unit"`
	// 排量
	Displacement float64 `form:"displacement" json:"displacement"`
	// 座位数
	Seat int32 `form:"seat" json:"seat"`
}

type VehicleAddRequest struct {
	base.Header
	VehicleAddBody
}

type VehicleAddResponse struct {
	base.Result
	Data v1.VehicleAddReply `json:"data"`
}

type VehicleUpdateBody struct {
	// 车位id
	SpaceId int64 `form:"spaceId" json:"space_id"`
	// 车牌号
	PlateNo string `form:"plateNo" json:"plate_no"`
	// 1 小型车 2 大型车 3 新能源小车 4 新能源大车
	VehicleType int32 `form:"vehicle_type" json:"vehicle_type"`
	// 车架号
	Vin string `form:"vin" json:"vin"`
	// 发动机号
	EngineNo string `form:"engine_no" json:"engine_no"`
	// 品牌
	Brand string `form:"brand" json:"brand"`
	// 颜色
	Color string `form:"color" json:"color"`
	// 住户uid
	HouseholdUid int64 `form:"household_uid" json:"household_uid"`
	// 1 出租 2 出售
	BindType int32 `form:"bind_type" json:"bind_type"`
	// 排量单位
	DisplacementUnit string `form:"displacement_unit" json:"displacement_unit"`
	// 排量
	Displacement float64 `form:"displacement" json:"displacement"`
	// 座位数
	Seat int32 `form:"seat" json:"seat"`

	Id int64 `form:"id"`
}

type VehicleUpdateRequest struct {
	base.Header
	VehicleUpdateBody
}

type VehicleUpdateResponse struct {
	base.Result
}

type VehicleDelQuery struct {
	Id int64 `form:"id"`
}

type VehicleDelRequest struct {
	base.Header
	VehicleDelQuery
}

type VehicleDelResponse struct {
	base.Result
}

type VehicleListQuery struct {
	Page         int64  `form:"page" json:"page"`
	PageSize     int64  `form:"page_size" json:"page_size"`
	HouseholdUid int64  `form:"household_uid" json:"household_uid"`
	PlateNo      string `form:"plate_no" json:"plate_no"`
}

type VehicleListRequest struct {
	base.Header
	VehicleListQuery
}

type VehicleListResponse struct {
	base.Result
	Data v1.VehicleListReply `json:"data"`
}

type VehicleBrandListRequest struct {
	base.Header
}

type VehicleBrandItem struct {
	Brand    string `json:"brand"`
	BrandPic string `json:"brand_pic"`
}

type VehicleBrandData struct {
	List []VehicleBrandItem `json:"list"`
}
type VehicleBrandListResponse struct {
	base.Result
	Data VehicleBrandData `json:"data"`
}
